DS_ELEMENT_IS_NAMED(3)

FUNCTION
ds_element_is_named - Test if an element is a named data type.

SYNOPSIS
#include <karma_ds.h>

flag ds_element_is_named

(unsigned int element_type)

DESCRIPTION
This routine will determine if an element is a named data type (i.e. not a sub-array or linked list). The element type must be legal, else the routine will print an error message and abort processing.

element_type
    The type of the element.

RETURN VALUE
TRUE if the element is a named type, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/